=begin
#-----------------------------------------------------------------------
Copyright 2017 concept3d, Inc. All rights reserved.
#-----------------------------------------------------------------------
Name        : 	c3d_mapspacer.rb
Type        : 	Extension
Description : 	Kicks off the MapSpacer SketchUp Extension
Menu Item   : 	Extensions -> MapSpacer
#-----------------------------------------------------------------------
=end

require 'sketchup.rb'
require 'extensions.rb'

module C3D

  module MapSpacer
    path = File.dirname(__FILE__).freeze
    loader = File.join(path, "c3d_mapspacer", "main")
    extension = SketchupExtension.new("MapSpacer™", loader)
    extension.description=("MapSpacer™ is a powerful space planning SketchUp Extension that lets clients envision their entire space down to the last square inch. They can view in 2D and 3D, make changes, reset and do it again! ")
    extension.version="3.0.3"
    extension.creator="concept3d, Inc."
    extension.copyright="©2016, concept3d, Inc. All rights reserved. MapSpacer™, concept3d, Inc. All rights reserved."
    Sketchup.register_extension extension,true

  end

end
